Send a test webhook notification for an alert
curl --request POST \
--url https://api.campflare.com/v2/alert/:id/testimport requests
url = "https://api.campflare.com/v2/alert/:id/test"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.campflare.com/v2/alert/:id/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhook_status": "delivered",
"webhook_http_response_code": "<string>"
}{
"error": {
"message": "<string>",
"kind": "<string>"
}
}Campground Availability Alerts
Test Alert Webhook
Sends a simulated webhook notification using data from the alert. Uses real campground and campsite data when available. This endpoint is intended for testing only. By default, the test notification is not saved. Set save=true to persist it to the alert’s notification history.
Send a test webhook notification for an alert
This endpoint is for testing only.
save=true to persist it to the alert’s notification history.
POST /alert/:id/test
POST /alert/:id/test?save=true
Query Parameters
Whether to save the test notification to the alert's notification history. Defaults to false.